Bug 1576561 - [RFE] Use VMware WaitForUpdates directly to save inventory
Summary: [RFE] Use VMware WaitForUpdates directly to save inventory
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.10.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: GA
: 5.10.0
Assignee: Adam Grare
QA Contact: Kedar Kulkarni
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-09 18:30 UTC by Adam Grare
Modified: 2019-02-07 23:02 UTC (History)
9 users (show)

Fixed In Version: 5.10.0.14
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:02:11 UTC
Category: Feature
Cloudforms Team: VMware
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:02:18 UTC

Description Adam Grare 2018-05-09 18:30:28 UTC
Currently the VimBrokerWorker uses WaitForUpdates to maintain a cache of inventory and makes it available to be queried by a RefreshWorker while doing an EmsRefresh.

Targeted refreshes are initiated through parsing of Events caught by the EventCatcher and a refresh is queued by an automate method.

This leads to a relatively large turnaround time from something changing on the provider until it is persisted in the database.

It is possible to instead of using events to trigger targeted refreshes to parse the UpdateSet returned by WaitForUpdates and save that to the database.  This reduces the total time to process targeted refreshes.

This is available today as a prototype through settings (prototype/ems_vmware/update_driven_refresh) but is not yet completely at feature parity with existing EmsRefresh.

Comment 2 Dave Johnson 2018-05-09 18:43:42 UTC
Please assess the impact of this issue and update the severity accordingly.  Please refer to https://bugzilla.redhat.com/page.cgi?id=fields.html#bug_severity for a reminder on each severity's definition.

If it's something like a tracker bug where it doesn't matter, please set the severity to Low.

Comment 5 Adam Grare 2018-08-27 18:10:12 UTC
https://github.com/ManageIQ/manageiq/pull/17531

Comment 6 Adam Grare 2018-08-27 18:12:01 UTC
At this point vmware streaming refresh is ready to test, setting prototype/ems_vmware/update_driven_refresh to true and restarting the appliance will enable streaming refresh for vmware.

Comment 8 errata-xmlrpc 2019-02-07 23:02:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.